%define fname	python-mpd2

Name:           python-mpd
Version:        0.5.5
Release:        %mkrel 1

Summary:        Python bindings for MPD
Group:          Development/Python
License:        GPLv2
URL:            https://github.com/Mic92/python-mpd2
Source0:        https://files.pythonhosted.org/packages/source/p/%{fname}/%{fname}-%{version}.tar.bz2
Patch0:         python-mpd2-0.5.1-mga-UnicodeDecodeError.patch
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python-setuptools

%description
An MPD (Music Player Daemon) client library written in pure Python.

%package -n python3-mpd
Summary:	Python 3 bindings for MPD
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	python3
BuildRequires:	python3-setuptools

%description -n python3-mpd
An MPD (Music Player Daemon) client library written in pure Python.

%prep
%setup -q -n %{fname}-%{version}
%patch0 -p0
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc LICENSE.txt README.rst 
%{python2_sitelib}/*

%files -n python3-mpd
%doc LICENSE.txt README.rst
%{python3_sitelib}/*



%changelog
* Fri May 27 2016 philippem <philippem> 0.5.5-1.mga6
+ Revision: 1018964
- update to 0.5.5

* Fri Feb 19 2016 umeabot <umeabot> 0.5.1-9.mga6
+ Revision: 970945
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.5.1-8.mga6
+ Revision: 888813
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-7.mga5
+ Revision: 741561
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.1-6.mga5
+ Revision: 729112
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-5.mga5
+ Revision: 688160
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.5.1-4.mga5
+ Revision: 628813
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5.1-3.mga4
+ Revision: 543661
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.1-2.mga4
+ Revision: 498934
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.5.1-1.mga4
+ Revision: 491682
- Update to 0.5.1

* Sun Jan 13 2013 umeabot <umeabot> 0.4.3-2.mga3
+ Revision: 379152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 philippem <philippem> 0.4.3-1.mga3
+ Revision: 318322
- update to python-mpd2 0.4.3
- add Python3

* Wed Aug 24 2011 jquelin <jquelin> 0.3.0-2.mga2
+ Revision: 135140
- make sure cauldron version is higher

* Sat Jul 02 2011 kharec <kharec> 0.3.0-1.mga2
+ Revision: 117424
- new version
- fix file list

* Wed Jun 29 2011 jquelin <jquelin> 0.2.1-1.mga2
+ Revision: 115984
- imported package python-mpd

